"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const multiply_by_power_of_ten_1 = __importDefault(require("./multiply-by-power-of-ten"));
const roundNumber = (number, precision, roundingFunction) => {
    const resolvedPrecision = precision || 0;
    const resolvedRoundingFunction = roundingFunction || Math.round;
    const scaledValueForRounding = multiply_by_power_of_ten_1.default(number, resolvedPrecision);
    const roundedScaledValue = resolvedRoundingFunction(scaledValueForRounding);
    const roundedValue = multiply_by_power_of_ten_1.default(roundedScaledValue, -resolvedPrecision);
    return roundedValue;
};
exports.default = roundNumber;
//# sourceMappingURL=round-number.js.map