"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const bps_1 = __importDefault(require("../formatters/bps"));
const time_1 = __importDefault(require("../formatters/time"));
const bytes_1 = __importDefault(require("../formatters/bytes"));
const ordinal_1 = __importDefault(require("../formatters/ordinal"));
const currency_1 = __importDefault(require("../formatters/currency"));
const percentage_1 = __importDefault(require("../formatters/percentage"));
const exponential_1 = __importDefault(require("../formatters/exponential"));
const BUILT_IN_FORMATTERS = [
    percentage_1.default,
    currency_1.default,
    ordinal_1.default,
    time_1.default,
    bytes_1.default,
    exponential_1.default,
    bps_1.default,
];
exports.default = BUILT_IN_FORMATTERS;
//# sourceMappingURL=built-in-formatters.js.map