"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const multiply_by_power_of_ten_1 = __importDefault(require("./multiply-by-power-of-ten"));
const split_string_in_two_parts_1 = __importDefault(require("./split-string-in-two-parts"));
const number_to_non_exponential_string_1 = __importDefault(require("./number-to-non-exponential-string"));
const add = (x, y) => {
    const correctionFactorAsPowerOf10Exponent = Math.max(...[x, y].map(number => split_string_in_two_parts_1.default(number_to_non_exponential_string_1.default(number), '.')[1].length));
    const scaledAddition = multiply_by_power_of_ten_1.default(x, correctionFactorAsPowerOf10Exponent) + multiply_by_power_of_ten_1.default(y, correctionFactorAsPowerOf10Exponent);
    return multiply_by_power_of_ten_1.default(scaledAddition, -correctionFactorAsPowerOf10Exponent);
};
exports.default = add;
//# sourceMappingURL=add.js.map