"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const multiply_by_power_of_ten_1 = __importDefault(require("./multiply-by-power-of-ten"));
const getNumberDigitsLength = (number) => ('' + number).toString().length;
const divide = (x, y) => {
    if (y === 0)
        return x / y; // For Infinity and -Infinity results
    const ATTEMPTS = 10;
    const results = [];
    for (let i = 0; i < ATTEMPTS; i++) {
        const result = multiply_by_power_of_ten_1.default(multiply_by_power_of_ten_1.default(x, i) / y, -i);
        results.push(result);
    }
    return results.sort((a, b) => getNumberDigitsLength(a) - getNumberDigitsLength(b))[0];
};
exports.default = divide;
//# sourceMappingURL=divide.js.map