"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const is_finite_number_1 = __importDefault(require("./is-finite-number"));
/**
 * Optimized for performance
 */
const multiplyByPowerOfTen = (number, powerOfTenExponent) => {
    if (!is_finite_number_1.default(number))
        return NaN;
    const numAsString = '' + number;
    const indexOfE = numAsString.indexOf('e');
    if (indexOfE === -1) {
        return +(numAsString + 'e' + powerOfTenExponent);
    }
    else {
        return +(numAsString.slice(0, indexOfE) + 'e' + (+numAsString.slice(indexOfE + 1) + powerOfTenExponent));
    }
};
exports.default = multiplyByPowerOfTen;
//# sourceMappingURL=multiply-by-power-of-ten.js.map