"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const multiply_by_power_of_ten_1 = __importDefault(require("./multiply-by-power-of-ten"));
const split_string_in_two_parts_1 = __importDefault(require("./split-string-in-two-parts"));
const number_to_non_exponential_string_1 = __importDefault(require("./number-to-non-exponential-string"));
const multiply = (x, y) => {
    const xDecimalPartAsString = split_string_in_two_parts_1.default(number_to_non_exponential_string_1.default(x), '.')[1];
    const yDecimalPartAsString = split_string_in_two_parts_1.default(number_to_non_exponential_string_1.default(y), '.')[1];
    const correctionFactorAsPowerOf10Exponent = Math.max(xDecimalPartAsString.length, yDecimalPartAsString.length);
    const scaledMultiplication = multiply_by_power_of_ten_1.default(x, correctionFactorAsPowerOf10Exponent) * multiply_by_power_of_ten_1.default(y, correctionFactorAsPowerOf10Exponent);
    return multiply_by_power_of_ten_1.default(scaledMultiplication, -(correctionFactorAsPowerOf10Exponent + correctionFactorAsPowerOf10Exponent));
};
exports.default = multiply;
//# sourceMappingURL=multiply.js.map