"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const truncate_number_1 = __importDefault(require("./truncate-number"));
exports.default = (value) => {
    const decimalPart = Math.abs(value - truncate_number_1.default(value));
    const randomSelector = Math.random();
    let adjustor = randomSelector < decimalPart ? 1 : 0;
    if (value < 0)
        adjustor = -1 * adjustor;
    return truncate_number_1.default(value) + adjustor;
};
//# sourceMappingURL=stochastic-round.js.map